| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextBrowser Class Referencefinal

TextBrowser. More...

`#include <tb.h>`

## Public Member Functions
bool | getWideLinesUsage () const noexcept
| Returns whether the wide lines option is set to be used or not.
ColorsScheme | getColorSchemeID () const noexcept
| Returns the ID of the color scheme in use.
const std::unordered_map< std::string, QString > & | getColorScheme () const noexcept
| Returns the color scheme in use.
const QString & | getFontFamily () const noexcept
| Returns the family of the font in use.
const QFont & | getFont () const noexcept
| Returns the font in use.
void | setWideLinesUsage (const bool use_wide_lines) noexcept
| Sets whether to use wide lines or not.
void | setColorScheme (const ColorsScheme colors_scheme_id, const std::unordered_map< std::string, QString > &colors_scheme) noexcept
| Stes the given color scheme as the one in use.
void | setFont (const QFont &font) noexcept
| Sets the given font as the one in use.
void | makePreview (QString &content) const noexcept
| Builds the preview which will be shown in the configs tab.

## Detailed Description

TextBrowser.

Perform operations for files visualization

## Member Function Documentation

## ◆ makePreview()

void TextBrowser::makePreview | ( | QString & | content | ) | const
| noexcept

Builds the preview which will be shown in the configs tab.

Parameters

  content | Will hold the preview string

The documentation for this class was generated from the following files:

- logdoctor/modules/tb.h
- logdoctor/modules/tb.cpp